import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.ComboBox;
import javafx.scene.control.Label;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

public class FxComboBoxExample3  extends Application
{
	public static void main(String[] args)
	{
		Application.launch(args);
	}

	@Override
	public void start(Stage stage)
	{
		// Create the Label
		Label shapeLbl = new Label("Shape:");

		// Create the ComboBox
		ComboBox&lt;String&gt; shapes = new ComboBox&lt;&gt;();
		// Add the Shapes to the ComboBox
		shapes.getItems().addAll("Line", "Rectangle", "Circle", "Text");

		// Set the CellFactory property
		shapes.setCellFactory(new ShapeCellFactory());
		// Set the ButtonCell property
		shapes.setButtonCell(new ShapeCell());

		// CReate the HBox
		HBox root = new HBox();
		// Add the children to the HBox
		root.getChildren().addAll(shapeLbl, shapes);

		// Set the Style-properties of the HBox
		root.setStyle("-fx-padding: 10;" +
			"-fx-border-style: solid inside;" +
			"-fx-border-width: 2;" +
			"-fx-border-insets: 5;" +
			"-fx-border-radius: 5;" +
			"-fx-border-color: blue;");

		// Create the Scene
		Scene scene = new Scene(root,300,200);
		// Add the scene to the Stage
		stage.setScene(scene);
		// Set the title of the Stage
		stage.setTitle("Using CellFactory in ComboBox");
		// Display the Stage
		stage.show();
	}

}
